Subject: Re: cygwin bughunt (FAQ alert?)
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 26 Jan 2005 20:16:37 -0800

Joshua Daniel Franklin wrote:

> Fixed. By the way, does anyone know exactly what Devel packages are required
> to build Cygwin?  I used to just think "install everything" but now
> there's a lot of
> new X or GNOME related stuff. I know I've got more than I need
> installed, but I'm
> thinking that would be useful information for the FAQ and/or a README in CVS.
> 
> binutils
> gcc
> make
> gettext-devel
> ??

I was actually a little curious about this, so I did a little
experiment.  I sequestered away my normal Cygwin installation and
started with a fresh install.  Aside from the default "base" packages
that setup.exe intstalls out of the gate, I found that I only had to
actually select three packages in setup: gcc, make, and perl.  (and Perl
was required only for gendef it seems.)

After doing that I was able to build the Cygwin DLL from the source
package.  Additional things may be required to build from a CVS
checkout, I'm not sure.  And of course the dependencies of those
packages are required (i.e. gcc brings in w32api, binutils,
mingw-runtime, ...; perl brings in crypt, expat, ...) but from a user
standpoint if you're using setup those are apparently the only three
individual packages you need to select.

If you want an absolute list, here is my "cygcheck -c" for this test
environment, which was the result of "default install plus selecting
gcc, make, and perl":

Cygwin Package Information
Package              Version            Status
_update-info-dir     00231-1            OK
ash                  20040127-1         OK
base-files           3.2-1              OK
base-passwd          2.1-1              OK
bash                 2.05b-16           OK
binutils             20041229-1         OK
bzip2                1.0.2-6            OK
coreutils            5.2.1-5            OK
crypt                1.1-1              OK
cygutils             1.2.5-1            OK
cygwin               1.5.12-1           OK
cygwin-doc           1.4-1              OK
diffutils            2.8.7-1            OK
editrights           1.01-1             OK
expat                1.95.8-1           OK
findutils            20041227-1         OK
gawk                 3.1.4-3            OK
gcc                  3.3.3-3            OK
gcc-core             3.3.3-3            OK
gcc-g++              3.3.3-3            OK
gcc-mingw-core       20040810-1         OK
gcc-mingw-g++        20040810-1         OK
gdbm                 1.8.3-7            OK
grep                 2.5-1              OK
groff                1.18.1-2           OK
gzip                 1.3.5-1            OK
less                 381-1              OK
libbz2_1             1.0.2-6            OK
libcharset1          1.9.2-1            OK
libdb4.2             4.2.52-1           OK
libgdbm              1.8.0-5            OK
libgdbm-devel        1.8.3-7            OK
libgdbm3             1.8.3-3            OK
libgdbm4             1.8.3-7            OK
libiconv             1.9.2-1            OK
libiconv2            1.9.2-1            OK
libintl1             0.10.40-1          OK
libintl2             0.12.1-3           OK
libintl3             0.14.1-1           OK
libncurses5          5.2-1              OK
libncurses6          5.2-8              OK
libncurses7          5.3-4              OK
libncurses8          5.4-1              OK
libpcre              4.1-1              OK
libpcre0             4.5-1              OK
libpopt0             1.6.4-4            OK
libreadline4         4.1-2              OK
libreadline5         4.3-5              OK
libreadline6         5.0-1              OK
login                1.9-7              OK
make                 3.80-1             OK
man                  1.5o1-1            OK
mingw-runtime        3.7-1              OK
mktemp               1.5-3              OK
ncurses              5.4-1              OK
perl                 5.8.6-2            OK
readline             5.0-1              OK
sed                  4.1.2-1            OK
tar                  1.13.25-5          OK
termcap              20021106-2         OK
terminfo             5.4_20041009-1     OK
texinfo              4.7-2              OK
w32api               3.2-1              OK
which                1.6-1              OK
zlib                 1.2.2-1            OK

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/